## gearmand 1.1.21+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Custom rules used by top level make
MANGOAL:= $(BUILDDIR)/man/.dirstamp
HTMLGOAL:= $(BUILDDIR)/html/.dirstamp

.PHONY: all distclean distcheck maintainer-clean check test
all: $(MANGOAL) $(HTMLGOAL)

maintainer-clean distclean: clean

distcheck check distdir:

RST_FILES= $(shell find source -type f -name '*.rst')

.DEFAULT_GOAL:= all

.NOTPARALLEL:

SOURCES=
SOURCES+= $(RST_FILES)
SOURCES+= source/conf.py
SOURCES+= Makefile

$(MANGOAL): $(SOURCES)
	@$(MAKE) $(AM_MAKEFLAGS) man
	@touch $@

$(HTMLGOAL): $(SOURCES)
	@$(MAKE) $(AM_MAKEFLAGS) html
	@touch $@ 

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

install:
	@echo

clean:
	@$(RM) -r $(BUILDDIR)/*

html: $(SOURCES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gearmand.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gearmand.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gearmand"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gearmand"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: $(SOURCES)
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	@$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## gearmand 0.13

=== debian/changelog ===
gearmand (0.13-1) unstable; urgency=low

  * New upstream release. (Closes: #581517)

 -- Monty Taylor <mordred@inaugust.com>  Fri, 14 May 2010 06:48:17 +0200

gearmand (0.12-1) unstable; urgency=low

  * Cleaned up docs/api and docs/dev. (Closes: #562428)
  * New upstream release. 
  * Removed libgearman-server0 and libgearman-server-dev packages. Upstream
    has removed these as installed libraries. 
  * Updated to source format 3.0.
  * New standards version 3.8.4.
  * Added -dev depend on libevent-dev (Closes: #569734)

 -- Monty Taylor <mordred@inaugust.com>  Thu, 18 Feb 2010 12:33:40 -0800

gearmand (0.11-1) unstable; urgency=low

  * Cleaned up debian/rules.
  * New upstream release. 
  * Added entries to the copyright file. 

 -- Monty Taylor <mordred@inaugust.com>  Wed, 02 Dec 2009 12:45:07 -0800

gearmand (0.10-2) unstable; urgency=low

  * Fixed an empty libgearman-server-dev package.
  * Added a patch to prevent writing test files into /tmp.  
  * Removed lintian override now that the manpages are split.

 -- Monty Taylor <mordred@inaugust.com>  Sun, 11 Oct 2009 00:57:35 -0700

gearmand (0.10-1) unstable; urgency=low

  * Added doc-base entries for documentation.
  * Added lintian-override for arch-dep-package-has-big-usr-share. The files
    are all manpages, which do in fact need to be in the package. 
  * New upstream version. 
  * Removed postgres include path hack. 

 -- Monty Taylor <mordred@inaugust.com>  Mon, 28 Sep 2009 21:43:31 -0700

gearmand (0.9-5) unstable; urgency=low

  * Fix LSB init script header. Thanks Petter. (Closes: #544770)
  * Updated standards version to 3.8.3.

 -- Monty Taylor <mordred@inaugust.com>  Mon, 07 Sep 2009 15:08:39 -0700

gearmand (0.9-4) unstable; urgency=low

  * Clean up /var/lib/gearman.
  * Put priority back to optional. It's sort of clear that setting it to
    extra was the wrong choice.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 11 Aug 2009 10:06:22 -0700

gearmand (0.9-3) unstable; urgency=low

  * Added missing -dev depends on libpq-dev and libsqlite-dev reported
    against Ubuntu. (LP: #408433)
  * Test for existence of daemon in startup script to comply with policy.
    (Closes: #539757)
  * Give gearman a real home dir - it'll need somewhere to stick sqlite queues.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 04 Aug 2009 10:18:57 -0700

gearmand (0.9-2) unstable; urgency=low

  * Removed a stray chown that was left in below.

 -- Monty Taylor <mordred@inaugust.com>  Sun, 02 Aug 2009 12:06:29 -0700

gearmand (0.9-1) unstable; urgency=low

  [ Thomas Koch ]
  * Fixed init script to actually work. (Closes: #538121)
  * Create gearman user to own pid and log files.
  * Provide and parse /etc/default/gearman-job-server.

  [ Monty Taylor ]
  * Add depend on adduser.
  * New upstream release.
  * Added build dep on libsqlite3-dev and libpq-dev.
  * Added workaround for postgres include file location madness. Better fix
    coming from upstream next release.
  * Lowered priority to extra, because libmemcached and libdrizzle are both
    extra to follow policy.
  * Added -dev depends on -dev packages of libraries needed. (Closes: #538015)
  * Added direct depend on libgearman1 for gearman-job-server and gearman-tools.
  * Added gensymbols files libgearman1.symbols.
  * Don't run tests on s390. 

 -- Monty Taylor <mordred@inaugust.com>  Thu, 30 Jul 2009 16:09:36 -0700

gearmand (0.8-2) unstable; urgency=low

  * Reverted gearman-server to gearman-job-server. The Perl server already
    has this package name.

 -- Monty Taylor <mordred@inaugust.com>  Fri, 10 Jul 2009 01:31:59 -0700

gearmand (0.8-1) unstable; urgency=low

  * Removed perl from build-depends, it's already provided.
  * Added procps to build-depends so that we can use kill in make test.
  * New upstream release.

 -- Monty Taylor <mordred@inaugust.com>  Fri, 10 Jul 2009 01:11:15 -0700

gearmand (0.7-1) unstable; urgency=low

  * Added depend on libgearman1 to libgearman-dev. (Closes: #531655)
  * Aligned section with the one in the override file.
  * Renamed gearman-worker to gearman-tools on request of upstream.
  * Renamed gearman-job-server to gearman-server on request of upstream.
  * Fixed typo in init script.
  * Updated standards version to 3.8.2.
  * New upstream release.

 -- Monty Taylor <mordred@inaugust.com>  Sun, 21 Jun 2009 11:01:50 -0700

gearmand (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #528309)

 -- Monty Taylor <mordred@inaugust.com>  Mon, 11 May 2009 15:08:16 -0700

=== debian/control ===
Source: gearmand
Section: misc
Priority: optional
Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7.0.50), libevent-dev, uuid-dev, libdrizzle-dev (>= 0.3), doxygen, libmemcached-dev (>= 0.30), libsqlite3-dev, libpq-dev, memcached, procps, automake, autoconf, libtool
Standards-Version: 3.8.4
Homepage: http://launchpad.net/gearmand
Vcs-Browser: http://bazaar.launchpad.net/~gearman-developers/pkg-gearman/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~gearman-developers/pkg-gearman/trunk


Package: libgearman4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libgearman-server0
Replaces: libgearman-server0
Conflicts: libgearman-server0
Description: Library providing Gearman client and worker functions
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the C reimplementation of the client library.

Package: libgearman-dev
Section: libdevel
Architecture: any
Depends: libgearman4 (= ${binary:Version}), libevent-dev, ${shlibs:Depends}, ${misc:Depends}
Provides: libgearman-server-dev
Replaces: libgearman-server-dev
Conflicts: libgearman-server-dev
Description: Development files for the Gearman Library
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the development headers for the libgearman library.

Package: libgearman-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgearman4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Debug symbols for the Gearman Client Library
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the debug symbols for the libgearman client library.

Package: libgearman-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API Documentation for the Gearman Library
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the API docs for the libgearman library.

Package: gearman-job-server
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: memcached
Description: Job server for the Gearman distributed job queue
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the C reimplementation of the job server daemon

Package: gearman-tools
Architecture: any
Provides: gearman-worker
Conflicts: gearman-worker
Replaces: gearman-worker
Depends: libgearman4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Tools for the Gearman distributed job queue
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains some command line tools for manipulating gearman jobs.

Package: gearman
Architecture: all
Depends: gearman-tools, gearman-job-server, ${misc:Depends}
Description: A distributed job queue
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package is an empty package that depends on both the client and the
 server.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=
CXXFLAGS=

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

TMP=$(CURDIR)/debian/tmp/

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_auto_test:
ifneq (${DEB_BUILD_ARCH},s390)
	$(MAKE) test
endif

build: build-stamp
build-stamp:
	dh build
	$(MAKE) docs
	touch build-stamp

clean:
	dh clean
	# Keep this here until we delete api and dev in the upstream clean rule
	rm -rf docs/api docs/dev
	find docs

install: build install-stamp
install-stamp:
	dh --until auto_install install
	# Run gensymbols
	dpkg-gensymbols -c -plibgearman4 -Idebian/libgearman4.symbols -e${TMP}/usr/lib/libgearman.so 
	dh_install --fail-missing -X DEBIAN/symbols
	dh --after auto_install install

	touch install-stamp


binary-arch: install
	dh binary-arch --before strip
	dh_strip --dbg-package=libgearman-dbg
	dh binary-arch --after strip

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

=== debian/watch ===
version=3
http://launchpad.net/gearmand/+download http://launchpad.net/gearmand/.*/gearmand-(.*)\.tar\.gz

## gearmand 0.14

=== debian/changelog ===
gearmand (0.14-0ubuntu1) natty; urgency=low

  * New upstream release. (Closes: #590116)
  * Don't install .la file. (Closes: #590967)
  * Listen on localhost by default - thanks Francois. (Closes: #609640)
  * New standards version 3.9.1.
  * Cleaned up debian/rules.
  * Install the upstream changelog.

 -- Monty Taylor <mordred@inaugust.com>  Sat, 05 Feb 2011 09:25:22 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gearmand
 Section: misc
 Priority: optional
-Maintainer: Monty Taylor <mordred@inaugust.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
 Build-Depends: debhelper (>= 7.0.50), libevent-dev, uuid-dev, libdrizzle-dev (>= 0.3), doxygen, libmemcached-dev (>= 0.30), libsqlite3-dev, libpq-dev, memcached, procps, automake, autoconf, libtool
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://launchpad.net/gearmand
-Vcs-Browser: http://bazaar.launchpad.net/~gearman-developers/pkg-gearman/trunk/files
-Vcs-Bzr: http://bazaar.launchpad.net/~gearman-developers/pkg-gearman/trunk
+Vcs-Browser: http://bazaar.launchpad.net/~gearman-developers/ubuntu/natty/gearmand/trunk/files
+Vcs-Bzr: http://bazaar.launchpad.net/~gearman-developers/ubuntu/natty/gearmand/trunk
 
 
 Package: libgearman4

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

TMP=$(CURDIR)/debian/tmp/

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_auto_test:
ifneq (${DEB_BUILD_ARCH},s390)
	$(MAKE) test
endif

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=libgearman-dbg

## gearmand 0.27

=== debian/changelog ===
gearmand (0.27-5ubuntu2) precise; urgency=low

  * debian/rules: Ensure that gearmand is not running any more after failed
    tests, otherwise the following chrpath call will fail.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Feb 2012 15:42:23 +0100

gearmand (0.27-5ubuntu1) precise; urgency=low

  * debian/rules: Do not let a failed test suite (on i386) fail the build.
    (This happens in Debian as well.)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Feb 2012 13:53:13 +0100

gearmand (0.27-5) unstable; urgency=low

  * Set priority to "extra" after (repeated) feedback from ftpmaster
    auto script
  * Remove the sybols file until the toolchain for handling c++ symbols
    improves enough
  * Build depend on libsasl2-dev

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 04 Feb 2012 11:22:47 +0100

gearmand (0.27-4) unstable; urgency=low

  * Use a whitelist for architectures we run build tests for
    (Closes: #657163)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 04 Feb 2012 00:48:17 +0100

gearmand (0.27-3) unstable; urgency=low

  * Mark systemtap-sdt-dev as a linux specific build dependency
    (Closes: #657774)
  * Add systemd service for gearman-job-server
  * Add --list-missing to dh_install

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 28 Jan 2012 23:01:06 +0100

gearmand (0.27-2) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Add missing include/libgearman-1.0 (Closes: #657189)

  [ Michael Fladischer ]
  * Tag varying symbols by architecture (Closes: #657165)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 25 Jan 2012 10:25:18 +0100

gearmand (0.27-1) unstable; urgency=low

  [Michael Fladischer]
  * Patch: fix spelling
  * Patch: remove dependency on googleanalytics
  * Patch: fix tests
  * Use non-authenticating URL for Vcs-Git.
  * Add "status" action to init script.

  [Stig Sandbeck Mathisen]
  * New upstream release (Closes: #621486) (LP: #682680)
  * Remove build dependency on drizzle
    (until it reaches testing again)
  * Build with support for tokyocabinet
  * Remove backported ipv6 patch
  * Patch: disable hostile build tests, they take hours...
  * Patch: workaround duplicate address issue for tests
  * Do not build API documentation, the sources are not shipped in
    upstream tarball
  * Update debian/copyright

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 23 Jan 2012 11:31:08 +0100

gearmand (0.26-1) unstable; urgency=low

  * New upstream release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 27 Dec 2011 15:44:24 +0100

gearmand (0.14-1) unstable; urgency=low

  * New upstream release. (Closes: #590116)
  * Don't install .la file. (Closes: #590967)
  * Listen on localhost by default - thanks Francois. (Closes: #609640)
  * New standards version 3.9.1.
  * Cleaned up debian/rules.
  * Install the upstream changelog.

 -- Monty Taylor <mordred@inaugust.com>  Sat, 05 Feb 2011 09:21:29 -0800

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,40 @@
 Source: gearmand
 Section: misc
-Priority: optional
+Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
-Build-Depends: debhelper (>= 7.0.50), libevent-dev, uuid-dev, libdrizzle-dev (>= 0.3), doxygen, libmemcached-dev (>= 0.30), libsqlite3-dev, libpq-dev, memcached, procps, automake, autoconf, libtool
-Standards-Version: 3.9.1
+XSBC-Original-Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Build-Depends:
+ autoconf,
+ automake,
+ chrpath,
+ debhelper (>= 7.0.50),
+ lcov,
+ libboost-program-options-dev (>= 1.39.0),
+ libboost-thread-dev (>= 1.39.0),
+ libcloog-ppl-dev,
+ libcurl4-gnutls-dev,
+ libevent-dev,
+ libevent-dev,
+ libltdl-dev,
+ libmemcached-dev (>= 0.30),
+ libpq-dev,
+ libsasl2-dev,
+ libsqlite3-dev,
+ libtokyocabinet-dev,
+ libtool,
+ memcached,
+ pandora-build,
+ pkg-config,
+ procps,
+ systemtap-sdt-dev [linux-any],
+ uuid-dev,
+Standards-Version: 3.9.2
 Homepage: http://launchpad.net/gearmand
-Vcs-Browser: http://bazaar.launchpad.net/~gearman-developers/ubuntu/natty/gearmand/trunk/files
-Vcs-Bzr: http://bazaar.launchpad.net/~gearman-developers/ubuntu/natty/gearmand/trunk
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gearmand.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gearmand.git
 
 
-Package: libgearman4
+Package: libgearman6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libgearman-server0
@@ -26,7 +50,7 @@
 Package: libgearman-dev
 Section: libdevel
 Architecture: any
-Depends: libgearman4 (= ${binary:Version}), libevent-dev, ${shlibs:Depends}, ${misc:Depends}
+Depends: libgearman6 (= ${binary:Version}), libevent-dev, ${shlibs:Depends}, ${misc:Depends}
 Provides: libgearman-server-dev
 Replaces: libgearman-server-dev
 Conflicts: libgearman-server-dev
@@ -41,7 +65,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libgearman4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgearman6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Debug symbols for the Gearman Client Library
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -77,7 +101,7 @@
 Provides: gearman-worker
 Conflicts: gearman-worker
 Replaces: gearman-worker
-Depends: libgearman4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgearman6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Tools for the Gearman distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -88,7 +112,7 @@
 Package: gearman
 Architecture: all
 Depends: gearman-tools, gearman-job-server, ${misc:Depends}
-Description: A distributed job queue
+Description: Distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
  to load balance lots of function calls, or to call functions between languages.

=== debian/rules ===
#!/usr/bin/make -f

# Figure out the build architecture
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Only run build tests on some architectures
BUILD_TEST_ARCH_LIST := amd64 i386 kfreebsd-i386 kfreebsd-amd64 mips mipsel powerpc

%:
	dh $@

override_dh_auto_configure:
	libtoolize --ltdl -c -f
	autoreconf -i
	dh_auto_configure -- --disable-rpath

ifeq ($(filter $(DEB_HOST_ARCH),$(BUILD_TEST_ARCH_LIST)),)
# Disable automated build tests
override_dh_auto_test:
endif

override_dh_auto_install:
	chrpath -d bin/gearadmin gearmand/gearmand
	dh_auto_install

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=libgearman-dbg

override_dh_auto_test:
	dh_auto_test || true
	killall gearmand

## gearmand 0.28

=== debian/changelog ===
gearmand (0.28-1) unstable; urgency=low

  * New upstream release
  * Only run build tests on "amd64" (Closes: #659256)
  * Remove build dependency on tokyocabinet
  * Remove build dependency on libmemcached
  * Add install information for systemd service
  * Set priority to "optional" for libgearman6
  * Refresh patch debian_patches_fix_test_files.patch
  * Refresh patch workaround_duplicate_address_in_tests.patch
  * Update debian/copyright

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 20 Feb 2012 09:36:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gearmand
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends:
  autoconf,
  automake,
@@ -16,13 +15,10 @@
  libevent-dev,
  libevent-dev,
  libltdl-dev,
- libmemcached-dev (>= 0.30),
  libpq-dev,
  libsasl2-dev,
  libsqlite3-dev,
- libtokyocabinet-dev,
  libtool,
- memcached,
  pandora-build,
  pkg-config,
  procps,
@@ -35,6 +31,7 @@
 
 
 Package: libgearman6
+Priority: optional
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libgearman-server0

## gearmand 0.29

=== debian/changelog ===
gearmand (0.29-1) unstable; urgency=low

  * New upstream release
  * Update watch file, use https
  * Revert "Remove build dependency on libmemcached"
  * Bump standards version (no changes)
  * Bump debhelper compatibility level to 9 (multiarch)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 16 Mar 2012 01:31:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  autoconf,
  automake,
  chrpath,
- debhelper (>= 7.0.50),
+ debhelper (>= 9),
  lcov,
  libboost-program-options-dev (>= 1.39.0),
  libboost-thread-dev (>= 1.39.0),
@@ -15,16 +15,17 @@
  libevent-dev,
  libevent-dev,
  libltdl-dev,
- libpq-dev,
+ libmemcached-dev (>= 0.30),
  libsasl2-dev,
  libsqlite3-dev,
  libtool,
+ memcached,
  pandora-build,
  pkg-config,
  procps,
  systemtap-sdt-dev [linux-any],
  uuid-dev,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://launchpad.net/gearmand
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gearmand.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gearmand.git
@@ -33,6 +34,8 @@
 Package: libgearman6
 Priority: optional
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libgearman-server0
 Replaces: libgearman-server0

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 # Only run build tests on some architectures
-BUILD_TEST_ARCH_LIST := amd64 i386 kfreebsd-i386 kfreebsd-amd64 mips mipsel powerpc
+BUILD_TEST_ARCH_LIST := amd64
 
 %:
 	dh $@
@@ -32,6 +32,3 @@
 override_dh_strip:
 	dh_strip --dbg-package=libgearman-dbg
 
-override_dh_auto_test:
-	dh_auto_test || true
-	killall gearmand

=== debian/watch ===
version=3
https://launchpad.net/gearmand/+download https://launchpad.net/gearmand/.*/gearmand-(.*)\.tar\.gz

## gearmand 0.32

=== debian/changelog ===
gearmand (0.32-2) unstable; urgency=low

  * Add O_CLOEXEC patch (Closes: #671158)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 06 May 2012 14:21:47 +0200

gearmand (0.32-1) unstable; urgency=low

  * Imported Upstream version 0.32
  * Remove spelling patch included upstream
  * Remove documentation patch, we do not rebuild documentation
  * Remove memcached patch, fixed upstream
  * Use dh_autoreconf
  * Use copyright format 1.0

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 May 2012 20:43:47 +0200

gearmand (0.29-2) unstable; urgency=low

  * Adjust architectures for systemtap-std-dev build dependency
    (Closes: #668792)
  * Update "forwarded" status for patches

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 16 Apr 2012 07:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  automake,
  chrpath,
  debhelper (>= 9),
+ dh-autoreconf,
  lcov,
  libboost-program-options-dev (>= 1.39.0),
  libboost-thread-dev (>= 1.39.0),
  libcloog-ppl-dev,
  libcurl4-gnutls-dev,
- libevent-dev,
  libevent-dev,
  libltdl-dev,
  libmemcached-dev (>= 0.30),
@@ -23,7 +23,7 @@
  pandora-build,
  pkg-config,
  procps,
- systemtap-sdt-dev [linux-any],
+ systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
  uuid-dev,
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/gearmand
@@ -63,7 +63,6 @@
 
 Package: libgearman-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: libgearman6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Debug symbols for the Gearman Client Library

## gearmand 0.33

=== debian/changelog ===
gearmand (0.33-2) unstable; urgency=low

  * Add patch to support gcc/g++ 4.7 (Closes: #678903)
    * Revert "Use gcc 4.6 when building"
  * Fix FTBFS on GNU/Hurd (Closes: #678063)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 26 Jun 2012 08:58:21 +0200

gearmand (0.33-1) unstable; urgency=low

  * Imported Upstream version 0.33
  * Remove kfreebsd O_CLOEXEC patch, this is now checked by configure
  * Add versions for build dependencies where stated in configure
  * ExecStartPre= needs root acecss…
  * Use gcc 4.6 when building

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Jun 2012 13:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
  libboost-program-options-dev (>= 1.39.0),
  libboost-thread-dev (>= 1.39.0),
  libcloog-ppl-dev,
- libcurl4-gnutls-dev,
+ libcurl4-gnutls-dev (>= 7.21.7),
  libevent-dev,
  libltdl-dev,
  libmemcached-dev (>= 0.30),
  libsasl2-dev,
- libsqlite3-dev,
+ libsqlite3-dev (>= 3.0.0),
  libtool,
  memcached,
  pandora-build,
- pkg-config,
+ pkg-config (>= 0.9.0),
  procps,
  systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
  uuid-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,7 @@
 BUILD_TEST_ARCH_LIST := amd64
 
 %:
-	dh $@
-
-override_dh_auto_configure:
-	libtoolize --ltdl -c -f
-	autoreconf -i
-	dh_auto_configure -- --disable-rpath
+	dh $@ --with autoreconf
 
 ifeq ($(filter $(DEB_HOST_ARCH),$(BUILD_TEST_ARCH_LIST)),)
 # Disable automated build tests

## gearmand 1.0.5

=== debian/changelog ===
gearmand (1.0.5-2) unstable; urgency=low

  * Upload to unstable after freeze

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 05 May 2013 11:58:42 +0200

gearmand (1.0.5-1) experimental; urgency=low

  * New upstream version
  * Update debian/copyright
  * Add upstart configuration for gearman-job-server
  * Systemd will now restart gearman-job-server

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 24 Apr 2013 14:49:40 +0200

gearmand (1.0.2-1) experimental; urgency=low

  * New upstream release
  * Add persistent storage with MySQL (Closes: #694572)
  * Add persistent storage with PostgreSQL
  * Remove GNU/Hurd patch included upstream
  * Remove typo patch included upstream

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 14 Jan 2013 22:39:53 +0100

gearmand (0.41-1) experimental; urgency=low

  * Imported Upstream version 0.41
  * Soname bump: libgearman6 -> libgearman7
  * Set build dependency on libmemcached-dev to require >= 1.0
    (Closes: #681768)
  * Add build dependency on libboost-system-dev
  * Remove support-gcc-4.7.patch, included upstream
  * debian/control: Remove old conflicts/replaces/provides
  * debian/clean: Clean up config.log after build
  * debian/watch: Check for updates from the stable branch only
  * Use "gitpkg" to handle patch generation, in-tree patches has been removed
  * Track upstream manpage location
  * Disable build tests

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 15 Oct 2012 23:18:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,15 @@
  dh-autoreconf,
  lcov,
  libboost-program-options-dev (>= 1.39.0),
+ libboost-system-dev (>= 1.39.0),
  libboost-thread-dev (>= 1.39.0),
  libcloog-ppl-dev,
  libcurl4-gnutls-dev (>= 7.21.7),
  libevent-dev,
  libltdl-dev,
- libmemcached-dev (>= 0.30),
+ libmemcached-dev (>= 1.0),
+ libmysqlclient-dev (>= 5.0),
+ libpq-dev,
  libsasl2-dev,
  libsqlite3-dev (>= 3.0.0),
  libtool,
@@ -31,15 +34,12 @@
 Vcs-Git: git://anonscm.debian.org/collab-maint/gearmand.git
 
 
-Package: libgearman6
+Package: libgearman7
 Priority: optional
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libgearman-server0
-Replaces: libgearman-server0
-Conflicts: libgearman-server0
 Description: Library providing Gearman client and worker functions
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -50,10 +50,7 @@
 Package: libgearman-dev
 Section: libdevel
 Architecture: any
-Depends: libgearman6 (= ${binary:Version}), libevent-dev, ${shlibs:Depends}, ${misc:Depends}
-Provides: libgearman-server-dev
-Replaces: libgearman-server-dev
-Conflicts: libgearman-server-dev
+Depends: libgearman7 (= ${binary:Version}), libevent-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: Development files for the Gearman Library
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -64,7 +61,7 @@
 Package: libgearman-dbg
 Section: debug
 Architecture: any
-Depends: libgearman6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgearman7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Debug symbols for the Gearman Client Library
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -97,10 +94,7 @@
 
 Package: gearman-tools
 Architecture: any
-Provides: gearman-worker
-Conflicts: gearman-worker
-Replaces: gearman-worker
-Depends: libgearman6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgearman7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Tools for the Gearman distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_test:

override_dh_auto_install:
	chrpath -d bin/gearadmin gearmand/gearmand
	dh_auto_install

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=libgearman-dbg

## gearmand 1.0.6

=== debian/changelog ===
gearmand (1.0.6-3) unstable; urgency=low

  * gearman-job-server: listen on "localhost" instead of IPv4 only loopback address
    (Closes: #711859)
  * Rename "libgearman-dbg" to "libgearman7-dbg" (Closes: #698371)
  * debian/watch: track current and next stable release series
  * Improve autopkgtests
    - Add missing XS-Testsuite header
    - Add procps to server test dependency
    - Add worker/client test

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 10 Nov 2013 22:58:28 +0100

gearmand (1.0.6-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix FTBFS on GNU/Hurd (Closes: #715322)
  * Fix parallel building (Closes: #715323)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 08 Jul 2013 12:48:35 +0200

gearmand (1.0.6-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Add dep8 test for gearman-job-server

  [ Michael Stapelberg ]
  * Use dh_systemd (Closes: #715253)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 07 Jul 2013 17:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  chrpath,
  debhelper (>= 9),
  dh-autoreconf,
+ dh-systemd (>= 1.4),
  lcov,
  libboost-program-options-dev (>= 1.39.0),
  libboost-system-dev (>= 1.39.0),
@@ -32,7 +33,7 @@
 Homepage: http://launchpad.net/gearmand
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gearmand.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/gearmand.git
-
+XS-Testsuite: autopkgtest
 
 Package: libgearman7
 Priority: optional
@@ -59,6 +60,13 @@
  This package contains the development headers for the libgearman library.
 
 Package: libgearman-dbg
+Depends: libgearman7-dbg, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: libgearman7-dbg
 Section: debug
 Architecture: any
 Depends: libgearman7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --parallel --with autoreconf,systemd
+
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-jobserver=no
 
 override_dh_auto_test:
 
@@ -16,5 +19,5 @@
 	dh_installchangelogs ChangeLog
 
 override_dh_strip:
-	dh_strip --dbg-package=libgearman-dbg
+	dh_strip --dbg-package=libgearman7-dbg

=== debian/watch ===
version=3
# opts="uversionmangle=s/^(1\.1\..*)/~0.$1/" \
http://download.datadifferential.com/gearmand-(1\.[02]\..*)\.tar\.gz
